CNA节点由于多路径版本过低无法扫描到双活设备

[复制链接]
发表于 : 2016-12-22 11:33:30 最新回复:2019-05-21 08:38:33
2314 2

标题
        在CNA节点由于多路径版本过低无法扫描到双活设备
              
问题描述
在cna节点扫描(upadmin show array)两台5800V3设备,通过UltraPath多路径软件查看两台阵列,只能看到一端设备,另一端无法看到

处理过程
       

1,通过SSH登陆CNA3,登陆用户名为:gandalf密码:Huawei@CLOUD8,登录gandalf用户后,切换到root用户,root用户默认密码为Huawei@CLOUD8!

2,执行:upadm

显示为当前生效的多路径为DviceManager通用多路径,当前未加载ultrapath多路径模块nxup

3,a, 使用命令切换当前CNA节点的多路径为华为Ultrapath

               命令为:sh/opt/uvp/multipath/change_multipath_mode.sh 1

  b,重启当前CNA节点:reboot

  c,确认当前节点已经切换为华为Ultrapath多路径

   service multipathd status并查看多路径版本

   upadm show version:

  

    注:V100R008C00(8.01.***)不支持存储HyperMetro双活,只有V100R008C20(8.03.***)及后续版本支持存储HyperMetro双活

4,手动替换UltraPath多路径为支持双活版本的多路径

  a,卸载预装的UltraPath版本包

   rpm -qa|grep UltraPath-8.01.31

  b,安装支持双活的多路径软件包

 
5,通过winscp将rmp上传至CNA节点任意目录下

  a,执行安装:rmp -ivh UltraPath-8.06.034-UVP3_xen.x86_64.rmp

  b,重启多路径服务:service nxup stop

  c,配置多路径开机启动并重启主机

   sh /opt/uvp/multipath/change_mutipath_mode.sh l

  d,确认重启后生效:service multipathd status

6,执行upadmin show array,可以看到双活的两台5800V3存储

7,其次修改其他两个节点的多路径版本

解决方案
       
1,开局的项目规划时,涉及V3双活,要先检查FusionCompute的版本(FusionSphere5.1U1版本开始支持双活),遇到FusionCompute预装的UltraPath多路径软件不支持存储双活时:建议更换FusionCompute版本,手动替换UltraPath多路径为支持双活版本的多路径,会改变FusionCompute预装的UltraPath多路径软件,对后续FusionCompute的升级、维护等可能带来风险。
2,已使用的设备,在V3系列做存储双活时,一定要先检查底层多路径,(V100R008C00(8.01.***)不支持存储HyperMetro双活,只有V100R008C20(8.03.***)及后续版本支持存储HyperMetro双活,如何不支持,请手动替换为支持的版本
  • x
  • 常规:

点评 回复

跳转到指定楼层
建赟
建赟  专家 发表于 2016-12-22 11:47:31 已赞(0) 赞(0)

感谢分享!
  • x
  • 常规:

点评 回复

www_820845
www_820845   发表于 2019-5-21 08:38:33 已赞(0) 赞(0)

学习
  • x
  • 常规:

点评 回复

发表回复
您需要登录后才可以回帖 登录 | 注册

警告 内容安全提示:尊敬的用户您好,为了保障您、社区及第三方的合法权益,请勿发布可能给各方带来法律风险的内容,包括但不限于政治敏感内容,涉黄赌毒内容,泄露、侵犯他人商业秘密的内容,侵犯他人商标、版本、专利等知识产权的内容,侵犯个人隐私的内容等。也请勿向他人共享您的账号及密码,通过您的账号执行的所有操作,将视同您本人的行为,由您本人承担操作后果。详情请参看“隐私声明
如果附件按钮无法使用,请将Adobe Flash Player 更新到最新版本!
登录参与交流分享

登录参与交流分享

登录